<div class="sub-ibox-filter">
  <div id="account-filter-body" class="collapse show">
    <div class="card-body p-2">
      <form [formGroup]="formGroup" (ngSubmit)="onSubmit()" appFocusInvalidInput autocomplete="off">
        <div class="row ">
          <div class="col-md-2 mt-3">
            <!-- <label class="col-form-label">{{'FIELD.INCIDENT.TYPE'|translate}}</label> -->
            <ngx-select [items]="typeTicketsList" [optionValueField]="'code'" [optionTextField]="'value'"
              formControlName="type" [placeholder]="'FIELD.INCIDENT.TYPE' | translate" size="small" ngDefaultControl>
            </ngx-select>

            <div *ngIf="formGroup.get('type').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('type').errors.required" class="text-danger">
                <small>{{ "FIELD.ERRORS.REQUIRED" | translate }}</small>
              </div>
            </div>
          </div>

          <div class="col-md-2 mt-3">
            <!-- <label class="col-form-label">{{'FIELD.INCIDENT.PRIORITE'|translate}}</label> -->
            <ngx-select [items]="priorityList" formControlName="priorite"
              [placeholder]="'FIELD.INCIDENT.PRIORITE' | translate" size="small" ngDefaultControl>
            </ngx-select>

            <div *ngIf="formGroup.get('priorite').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('priorite').errors.required" class="text-danger">
                <small>{{ "FIELD.ERRORS.REQUIRED" | translate }}</small>
              </div>
            </div>
          </div>

          <div class="col-md-2 mt-3">
            <!-- <label class="col-form-label">{{'FIELD.INCIDENT.DATE_DECLARATION'|translate}}</label> -->
            <input type="text" class="form-control form-control-sm" formControlName="dateDeclaration" [owlDateTime]="dt"
              [placeholder]="'FIELD.INCIDENT.DATE_DECLARATION' | translate" />
            <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt">
              <i class="ri-calendar-line"></i>
            </span>
            <owl-date-time #dt [pickerType]="'calendar'"></owl-date-time>

            <div *ngIf="formGroup.get('dateDeclaration').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('dateDeclaration').errors.required" class="text-danger">
                <small>{{ "FIELD.ERRORS.REQUIRED" | translate }}</small>
              </div>
            </div>
          </div>

          <div class="col-md-2 mt-3">
            <!-- <label class="col-form-label">{{'FIELD.INCIDENT.STATUT'|translate}}</label> -->
            <ngx-select [items]="statusList" formControlName="status" [optionValueField]="'code'" [optionTextField]="'value'"
              [placeholder]="'FIELD.INCIDENT.STATUT' | translate" size="small" ngDefaultControl>
            </ngx-select>
            <div *ngIf="formGroup.get('status').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('status').errors.required" class="text-danger">
                <small>{{ "FIELD.ERRORS.REQUIRED" | translate }}</small>
              </div>
            </div>
          </div>
          <div class="col-md-2 mt-3">
            <!-- <label class="col-form-label">{{'FIELD.INCIDENT.GESTIONNAIRE'|translate}}</label> -->
            <ngx-select [items]="accountManagerList" [optionValueField]="'code'" [optionTextField]="'value'"
              formControlName="gestionnaire" [placeholder]="'FIELD.INCIDENT.GESTIONNAIRE' | translate" size="small"
              ngDefaultControl>
            </ngx-select>

            <div *ngIf="
                formGroup.get('gestionnaire').invalid && showValidationsMsg
              ">
              <div *ngIf="formGroup.get('gestionnaire').errors.required" class="text-danger">
                <small>{{ "FIELD.ERRORS.REQUIRED" | translate }}</small>
              </div>
            </div>
          </div>

          <div class="text-left buttons-oriontation col-md-2 mt-3">
            <button type="button" class="reset-button btn btn-sm mr-2" [title]="'FIELD.BUTTONS.RESET' | translate"
              (click)="initFormGroup()">
              <i class="ri-arrow-go-back-line"></i>
            </button>
            <button type="submit" class="submit-button btn btn-sm" [title]="'FIELD.BUTTONS.SEARCH' | translate">
              <i class="ri-search-2-line"></i>
            </button>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
